#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n;

    char nome[10]="carlos";
    char nome2[] = "abcdefghijklmnopqrs";

    char * nome3 = (char*)malloc(200000*sizeof(char));

    printf("-------------------------------------------\n");


    printf("Digite um inteiro:");
    scanf("%d",&n);
    printf("%d\n",n);

    printf("-------------------------------------------\n");

    printf("Digite um nome:");
    scanf("%s",nome);
    printf("Seu nome eh:%s \n",nome);

    printf("-------------------------------------------\n");

    printf("Endereco do array de caracteres nome %x\n",(int)nome);
    printf("Endereco da variavel nome %x \n",(int)&nome);
    printf("Endereco da primeira posicao do array de caracteres nome  (&nome[0]): %x\n",(int)&nome[0]);
    printf("Endereco da segunda posicao do array de caracteres nome (&nome[1]): %x\n",(int)&nome[1]);
    printf("Diferenca entre os enderecos da primeira e segunda posicao do array: %x\n",(int)&nome[1]-(int)&nome[0]);


    printf("-------------------------------------------\n");

    printf("Endereco do array de caracteres nome3 %x\n",(int)nome3);
    printf("Endereco da variavel nome3 %x \n",(int)&nome3);

    printf("-------------------------------------------\n");


    printf("Letras do alfabeto: %s\n",nome2);

    printf("-------------------------------------------\n");

    return 0;
}
